#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int broj,perica,n,brojac = 1;
    vector<int> bocke;
    bool p = 0;
    cin >> broj >> perica;
    for (int i = 0;i<broj;i++){
        cin >> n;
        bocke.push_back(n);
    }
    for (auto v: bocke){
        if (v<=perica){
            cout<<brojac;
            p = 1;
            break;
        }
        brojac+=1;
    }
    if (p==0){
        cout<<-1;
    }
}